echo off

cls
set DESTDIR=%WEBDIR%\Algo-S2\08-Javadoc
set SRCDIR=%WEBDIR%\Algo-S2\08-Javadoc
set COLORNAMES=006600
set COLORTYPES=993399
set COLORINSTR=990000
set COLORCMNTS=888833
set COLORSTRCT=118888

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=Commentaire1/Exemple
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p236,236,236
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=Commentaire2/Exemple
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p236,236,236
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=Commentaire3/Exemple
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p236,236,236
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=Commentaire4/Exemple
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p236,236,236
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=Commentaire5/Exemple
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p236,236,236
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

pause

exit